TTransactionStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TTransactionStat

- java.lang.Object
- - com.sleepycat.thrift.TTransactionStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TTransactionStat>, org.apache.thrift.TBase<TTransactionStat,TTransactionStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TTransactionStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<TTransactionStat,TTransactionStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TTransactionStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TTransactionStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<TActiveTxnStat>` | `activeTxns`
    `int` | `inittxns`
    `int` | `lastCkpFile`
    `int` | `lastCkpOffset`
    `int` | `lastTxnId`
    `int` | `maxNactive`
    `int` | `maxNsnapshot`
    `int` | `maxTxns`
    `static java.util.Map<TTransactionStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `long` | `naborts`
    `int` | `nactive`
    `long` | `numBegins`
    `long` | `numCommits`
    `int` | `numRestores`
    `int` | `numSnapshot`
    `long` | `regionNowait`
    `long` | `regionWait`
    `long` | `regSize`
    `long` | `timeCkp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TTransactionStat()`
    `TTransactionStat(int inittxns, int lastCkpFile, int lastCkpOffset, int lastTxnId, int maxNactive, int maxNsnapshot, int maxTxns, long naborts, int nactive, long numBegins, long numCommits, int numRestores, int numSnapshot, long regionNowait, long regionWait, long regSize, long timeCkp, java.util.List<TActiveTxnStat> activeTxns)`
    `TTransactionStat(TTransactionStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToActiveTxns(TActiveTxnStat elem)`
    `void` | `clear()`
    `int` | `compareTo(TTransactionStat other)`
    `TTransactionStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TTransactionStat that)`
    `TTransactionStat._Fields` | `fieldForId(int fieldId)`
    `java.util.List<TActiveTxnStat>` | `getActiveTxns()`
    `java.util.Iterator<TActiveTxnStat>` | `getActiveTxnsIterator()`
    `int` | `getActiveTxnsSize()`
    `java.lang.Object` | `getFieldValue(TTransactionStat._Fields field)`
    `int` | `getInittxns()`
    `int` | `getLastCkpFile()`
    `int` | `getLastCkpOffset()`
    `int` | `getLastTxnId()`
    `int` | `getMaxNactive()`
    `int` | `getMaxNsnapshot()`
    `int` | `getMaxTxns()`
    `long` | `getNaborts()`
    `int` | `getNactive()`
    `long` | `getNumBegins()`
    `long` | `getNumCommits()`
    `int` | `getNumRestores()`
    `int` | `getNumSnapshot()`
    `long` | `getRegionNowait()`
    `long` | `getRegionWait()`
    `long` | `getRegSize()`
    `long` | `getTimeCkp()`
    `int` | `hashCode()`
    `boolean` | `isSet(TTransactionStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetActiveTxns()` Returns true if field activeTxns is set (has been assigned a value) and false otherwise
    `boolean` | `isSetInittxns()` Returns true if field inittxns is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLastCkpFile()` Returns true if field lastCkpFile is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLastCkpOffset()` Returns true if field lastCkpOffset is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLastTxnId()` Returns true if field lastTxnId is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxNactive()` Returns true if field maxNactive is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxNsnapshot()` Returns true if field maxNsnapshot is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxTxns()` Returns true if field maxTxns is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNaborts()` Returns true if field naborts is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNactive()` Returns true if field nactive is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumBegins()` Returns true if field numBegins is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumCommits()` Returns true if field numCommits is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumRestores()` Returns true if field numRestores is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumSnapshot()` Returns true if field numSnapshot is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegionNowait()` Returns true if field regionNowait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegionWait()` Returns true if field regionWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegSize()` Returns true if field regSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTimeCkp()` Returns true if field timeCkp is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TTransactionStat` | `setActiveTxns(java.util.List<TActiveTxnStat> activeTxns)`
    `void` | `setActiveTxnsIsSet(boolean value)`
    `void` | `setFieldValue(TTransactionStat._Fields field, java.lang.Object value)`
    `TTransactionStat` | `setInittxns(int inittxns)`
    `void` | `setInittxnsIsSet(boolean value)`
    `TTransactionStat` | `setLastCkpFile(int lastCkpFile)`
    `void` | `setLastCkpFileIsSet(boolean value)`
    `TTransactionStat` | `setLastCkpOffset(int lastCkpOffset)`
    `void` | `setLastCkpOffsetIsSet(boolean value)`
    `TTransactionStat` | `setLastTxnId(int lastTxnId)`
    `void` | `setLastTxnIdIsSet(boolean value)`
    `TTransactionStat` | `setMaxNactive(int maxNactive)`
    `void` | `setMaxNactiveIsSet(boolean value)`
    `TTransactionStat` | `setMaxNsnapshot(int maxNsnapshot)`
    `void` | `setMaxNsnapshotIsSet(boolean value)`
    `TTransactionStat` | `setMaxTxns(int maxTxns)`
    `void` | `setMaxTxnsIsSet(boolean value)`
    `TTransactionStat` | `setNaborts(long naborts)`
    `void` | `setNabortsIsSet(boolean value)`
    `TTransactionStat` | `setNactive(int nactive)`
    `void` | `setNactiveIsSet(boolean value)`
    `TTransactionStat` | `setNumBegins(long numBegins)`
    `void` | `setNumBeginsIsSet(boolean value)`
    `TTransactionStat` | `setNumCommits(long numCommits)`
    `void` | `setNumCommitsIsSet(boolean value)`
    `TTransactionStat` | `setNumRestores(int numRestores)`
    `void` | `setNumRestoresIsSet(boolean value)`
    `TTransactionStat` | `setNumSnapshot(int numSnapshot)`
    `void` | `setNumSnapshotIsSet(boolean value)`
    `TTransactionStat` | `setRegionNowait(long regionNowait)`
    `void` | `setRegionNowaitIsSet(boolean value)`
    `TTransactionStat` | `setRegionWait(long regionWait)`
    `void` | `setRegionWaitIsSet(boolean value)`
    `TTransactionStat` | `setRegSize(long regSize)`
    `void` | `setRegSizeIsSet(boolean value)`
    `TTransactionStat` | `setTimeCkp(long timeCkp)`
    `void` | `setTimeCkpIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetActiveTxns()`
    `void` | `unsetInittxns()`
    `void` | `unsetLastCkpFile()`
    `void` | `unsetLastCkpOffset()`
    `void` | `unsetLastTxnId()`
    `void` | `unsetMaxNactive()`
    `void` | `unsetMaxNsnapshot()`
    `void` | `unsetMaxTxns()`
    `void` | `unsetNaborts()`
    `void` | `unsetNactive()`
    `void` | `unsetNumBegins()`
    `void` | `unsetNumCommits()`
    `void` | `unsetNumRestores()`
    `void` | `unsetNumSnapshot()`
    `void` | `unsetRegionNowait()`
    `void` | `unsetRegionWait()`
    `void` | `unsetRegSize()`
    `void` | `unsetTimeCkp()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### inittxns

          public int inittxns

    - #### lastCkpFile

          public int lastCkpFile

    - #### lastCkpOffset

          public int lastCkpOffset

    - #### lastTxnId

          public int lastTxnId

    - #### maxNactive

          public int maxNactive

    - #### maxNsnapshot

          public int maxNsnapshot

    - #### maxTxns

          public int maxTxns

    - #### naborts

          public long naborts

    - #### nactive

          public int nactive

    - #### numBegins

          public long numBegins

    - #### numCommits

          public long numCommits

    - #### numRestores

          public int numRestores

    - #### numSnapshot

          public int numSnapshot

    - #### regionNowait

          public long regionNowait

    - #### regionWait

          public long regionWait

    - #### regSize

          public long regSize

    - #### timeCkp

          public long timeCkp

    - #### activeTxns

          public java.util.List<TActiveTxnStat> activeTxns

    - #### metaDataMap

          public static final java.util.Map<TTransactionStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TTransactionStat

          public TTransactionStat()

    - #### TTransactionStat

          public TTransactionStat(int inittxns,
                                  int lastCkpFile,
                                  int lastCkpOffset,
                                  int lastTxnId,
                                  int maxNactive,
                                  int maxNsnapshot,
                                  int maxTxns,
                                  long naborts,
                                  int nactive,
                                  long numBegins,
                                  long numCommits,
                                  int numRestores,
                                  int numSnapshot,
                                  long regionNowait,
                                  long regionWait,
                                  long regSize,
                                  long timeCkp,
                                  java.util.List<TActiveTxnStat> activeTxns)

    - #### TTransactionStat

          public TTransactionStat(TTransactionStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TTransactionStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TTransactionStat,TTransactionStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TTransactionStat,TTransactionStat._Fields>`

    - #### getInittxns

          public int getInittxns()

    - #### setInittxns

          public TTransactionStat setInittxns(int inittxns)

    - #### unsetInittxns

          public void unsetInittxns()

    - #### isSetInittxns

          public boolean isSetInittxns()

      Returns true if field inittxns is set (has been assigned a value) and false otherwise

    - #### setInittxnsIsSet

          public void setInittxnsIsSet(boolean value)

    - #### getLastCkpFile

          public int getLastCkpFile()

    - #### setLastCkpFile

          public TTransactionStat setLastCkpFile(int lastCkpFile)

    - #### unsetLastCkpFile

          public void unsetLastCkpFile()

    - #### isSetLastCkpFile

          public boolean isSetLastCkpFile()

      Returns true if field lastCkpFile is set (has been assigned a value) and false otherwise

    - #### setLastCkpFileIsSet

          public void setLastCkpFileIsSet(boolean value)

    - #### getLastCkpOffset

          public int getLastCkpOffset()

    - #### setLastCkpOffset

          public TTransactionStat setLastCkpOffset(int lastCkpOffset)

    - #### unsetLastCkpOffset

          public void unsetLastCkpOffset()

    - #### isSetLastCkpOffset

          public boolean isSetLastCkpOffset()

      Returns true if field lastCkpOffset is set (has been assigned a value) and false otherwise

    - #### setLastCkpOffsetIsSet

          public void setLastCkpOffsetIsSet(boolean value)

    - #### getLastTxnId

          public int getLastTxnId()

    - #### setLastTxnId

          public TTransactionStat setLastTxnId(int lastTxnId)

    - #### unsetLastTxnId

          public void unsetLastTxnId()

    - #### isSetLastTxnId

          public boolean isSetLastTxnId()

      Returns true if field lastTxnId is set (has been assigned a value) and false otherwise

    - #### setLastTxnIdIsSet

          public void setLastTxnIdIsSet(boolean value)

    - #### getMaxNactive

          public int getMaxNactive()

    - #### setMaxNactive

          public TTransactionStat setMaxNactive(int maxNactive)

    - #### unsetMaxNactive

          public void unsetMaxNactive()

    - #### isSetMaxNactive

          public boolean isSetMaxNactive()

      Returns true if field maxNactive is set (has been assigned a value) and false otherwise

    - #### setMaxNactiveIsSet

          public void setMaxNactiveIsSet(boolean value)

    - #### getMaxNsnapshot

          public int getMaxNsnapshot()

    - #### setMaxNsnapshot

          public TTransactionStat setMaxNsnapshot(int maxNsnapshot)

    - #### unsetMaxNsnapshot

          public void unsetMaxNsnapshot()

    - #### isSetMaxNsnapshot

          public boolean isSetMaxNsnapshot()

      Returns true if field maxNsnapshot is set (has been assigned a value) and false otherwise

    - #### setMaxNsnapshotIsSet

          public void setMaxNsnapshotIsSet(boolean value)

    - #### getMaxTxns

          public int getMaxTxns()

    - #### setMaxTxns

          public TTransactionStat setMaxTxns(int maxTxns)

    - #### unsetMaxTxns

          public void unsetMaxTxns()

    - #### isSetMaxTxns

          public boolean isSetMaxTxns()

      Returns true if field maxTxns is set (has been assigned a value) and false otherwise

    - #### setMaxTxnsIsSet

          public void setMaxTxnsIsSet(boolean value)

    - #### getNaborts

          public long getNaborts()

    - #### setNaborts

          public TTransactionStat setNaborts(long naborts)

    - #### unsetNaborts

          public void unsetNaborts()

    - #### isSetNaborts

          public boolean isSetNaborts()

      Returns true if field naborts is set (has been assigned a value) and false otherwise

    - #### setNabortsIsSet

          public void setNabortsIsSet(boolean value)

    - #### getNactive

          public int getNactive()

    - #### setNactive

          public TTransactionStat setNactive(int nactive)

    - #### unsetNactive

          public void unsetNactive()

    - #### isSetNactive

          public boolean isSetNactive()

      Returns true if field nactive is set (has been assigned a value) and false otherwise

    - #### setNactiveIsSet

          public void setNactiveIsSet(boolean value)

    - #### getNumBegins

          public long getNumBegins()

    - #### setNumBegins

          public TTransactionStat setNumBegins(long numBegins)

    - #### unsetNumBegins

          public void unsetNumBegins()

    - #### isSetNumBegins

          public boolean isSetNumBegins()

      Returns true if field numBegins is set (has been assigned a value) and false otherwise

    - #### setNumBeginsIsSet

          public void setNumBeginsIsSet(boolean value)

    - #### getNumCommits

          public long getNumCommits()

    - #### setNumCommits

          public TTransactionStat setNumCommits(long numCommits)

    - #### unsetNumCommits

          public void unsetNumCommits()

    - #### isSetNumCommits

          public boolean isSetNumCommits()

      Returns true if field numCommits is set (has been assigned a value) and false otherwise

    - #### setNumCommitsIsSet

          public void setNumCommitsIsSet(boolean value)

    - #### getNumRestores

          public int getNumRestores()

    - #### setNumRestores

          public TTransactionStat setNumRestores(int numRestores)

    - #### unsetNumRestores

          public void unsetNumRestores()

    - #### isSetNumRestores

          public boolean isSetNumRestores()

      Returns true if field numRestores is set (has been assigned a value) and false otherwise

    - #### setNumRestoresIsSet

          public void setNumRestoresIsSet(boolean value)

    - #### getNumSnapshot

          public int getNumSnapshot()

    - #### setNumSnapshot

          public TTransactionStat setNumSnapshot(int numSnapshot)

    - #### unsetNumSnapshot

          public void unsetNumSnapshot()

    - #### isSetNumSnapshot

          public boolean isSetNumSnapshot()

      Returns true if field numSnapshot is set (has been assigned a value) and false otherwise

    - #### setNumSnapshotIsSet

          public void setNumSnapshotIsSet(boolean value)

    - #### getRegionNowait

          public long getRegionNowait()

    - #### setRegionNowait

          public TTransactionStat setRegionNowait(long regionNowait)

    - #### unsetRegionNowait

          public void unsetRegionNowait()

    - #### isSetRegionNowait

          public boolean isSetRegionNowait()

      Returns true if field regionNowait is set (has been assigned a value) and false otherwise

    - #### setRegionNowaitIsSet

          public void setRegionNowaitIsSet(boolean value)

    - #### getRegionWait

          public long getRegionWait()

    - #### setRegionWait

          public TTransactionStat setRegionWait(long regionWait)

    - #### unsetRegionWait

          public void unsetRegionWait()

    - #### isSetRegionWait

          public boolean isSetRegionWait()

      Returns true if field regionWait is set (has been assigned a value) and false otherwise

    - #### setRegionWaitIsSet

          public void setRegionWaitIsSet(boolean value)

    - #### getRegSize

          public long getRegSize()

    - #### setRegSize

          public TTransactionStat setRegSize(long regSize)

    - #### unsetRegSize

          public void unsetRegSize()

    - #### isSetRegSize

          public boolean isSetRegSize()

      Returns true if field regSize is set (has been assigned a value) and false otherwise

    - #### setRegSizeIsSet

          public void setRegSizeIsSet(boolean value)

    - #### getTimeCkp

          public long getTimeCkp()

    - #### setTimeCkp

          public TTransactionStat setTimeCkp(long timeCkp)

    - #### unsetTimeCkp

          public void unsetTimeCkp()

    - #### isSetTimeCkp

          public boolean isSetTimeCkp()

      Returns true if field timeCkp is set (has been assigned a value) and false otherwise

    - #### setTimeCkpIsSet

          public void setTimeCkpIsSet(boolean value)

    - #### getActiveTxnsSize

          public int getActiveTxnsSize()

    - #### getActiveTxnsIterator

          public java.util.Iterator<TActiveTxnStat> getActiveTxnsIterator()

    - #### addToActiveTxns

          public void addToActiveTxns(TActiveTxnStat elem)

    - #### getActiveTxns

          public java.util.List<TActiveTxnStat> getActiveTxns()

    - #### setActiveTxns

          public TTransactionStat setActiveTxns(java.util.List<TActiveTxnStat> activeTxns)

    - #### unsetActiveTxns

          public void unsetActiveTxns()

    - #### isSetActiveTxns

          public boolean isSetActiveTxns()

      Returns true if field activeTxns is set (has been assigned a value) and false otherwise

    - #### setActiveTxnsIsSet

          public void setActiveTxnsIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TTransactionStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TTransactionStat,TTransactionStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TTransactionStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TTransactionStat,TTransactionStat._Fields>`

    - #### isSet

          public boolean isSet(TTransactionStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TTransactionStat,TTransactionStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TTransactionStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TTransactionStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TTransactionStat>`

    - #### fieldForId

          public TTransactionStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TTransactionStat,TTransactionStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.